<?php
include("acceso.php");
include("funciones.php");
require('fpdf16/fpdf.php');
define("IVA",16);

if (!(conexion()))
     die ("Problema con el servidor, avise al administrador");
$sucur = $_SESSION['sucursal'];

class PDF extends FPDF{
  function Header(){
  }
  function Footer(){
  }
}

$pdf=new PDF(); //crea un objeto de la clase fpdf();
$pdf->AliasNbPages();
$pdf->SetFillColor(210);  //color usado por todas las operaciones de relleno, indica el nivel de gris.
$pdf->AddPage();  //agrega una hoja al documento

$pdf->SetFont('Arial','I',7);  // (familia de fuente, estilo de fuente, tamaño de fuente)
$pdf->SetX(5);
$pdf->Image('logotipo.png',10,8,30);
$pdf->Write(30,$_SESSION['titulosucursal']);
$pdf->SetFont('Arial','I',14);
$pdf->Cell(100); $pdf->Write(10,utf8_decode("ALBARÁN"));
$pdf->SetFont('Arial','I',8);  // (familia de fuente, estilo de fuente, tamaño de fuente)

$result=mysql_query("select * from expedicion where ex_cod_sucursal = $cosu and ex_num_exp = $nuex") or die("No se puede mostrar el listado");
$fila = mysql_fetch_array($result);

    // obtengo los valores de la consulta
$codexpedicion = $cosu."_".$nuex;
$solicitud = $fila['ex_fec_solicitud']; $solicitud = cambiaf_a_normal($solicitud);
$origen = $fila['ex_fec_suc_origen'];$origen = cambiaf_a_normal($origen);
$entregado = $fila['ex_fec_entrega']; $entregado = cambiaf_a_normal($entregado);
$recodigo = $fila['ex_re_cliente'];
$renif = $fila['ex_re_dni'];
$renombre = $fila['ex_re_re'];
$redireccion = $fila['ex_re_direccion'];
$repoblacion = $fila['ex_re_poblacion'];
$reprovincia = $fila['ex_re_provincia'];
$retele1 = $fila['ex_re_telefono1'];
$retele2 = $fila['ex_re_telefono2'];
$recp = $fila['ex_re_cp'];
$cocodigo = $fila['ex_co_cliente'];
if ($cocodigo == 0) $cocodigo = '';
$conombre = $fila['ex_co_co'];
$conif = $fila['ex_co_dni'];
$codireccion = $fila['ex_co_direccion'];
$copoblacion = $fila['ex_co_poblacion'];
$coprovincia = $fila['ex_co_provincia'];
$cocp = $fila['ex_co_cp'];
if ($cocp == 0) $cocp = '';
$cotele1 = $fila['ex_co_telefono1'];
$cotele2 = $fila['ex_co_telefono2'];
$portes = $fila['ex_portes_pagados'];
$kilos = $fila['ex_kilos'];
$bultos = $fila['ex_bultos'];
$precio = $fila['ex_precio'];
if ($precio == 0) 
    $precio = '';
  else{
    $iva = IVA;
    $con_iva = $precio + ($iva*($precio/100));
    $pretotal = round($con_iva, 2);
}
$observa = $fila['ex_observaciones'];
if ($portes == 1){
     $pagados = "X";
     $debidos = '';
}
   else{
     $debidos = "X";
     $pagados = '';
}
// presentacion en pdf
$pdf->SetY(30);
$pdf->Cell(27,7,utf8_decode('Código Expedición'),1,0,'C',1);
$pdf->Cell(25,7,$codexpedicion,1,0,'C',0);

$pdf->SetX(120); $pdf->Cell(25,7,'Fecha solicitud',1,0,'C',1);
$pdf->Cell(23,7,$solicitud,1,0,'C',0);

$pdf->SetXY(26,40);
$pdf->Cell(25,7,'REMITENTE',1,0,'C',1);
$pdf->SetX(55);
$pdf->Cell(20,7,'Fecha',1,0,'C',1);
$pdf->Cell(23,7,$origen,1,0,'C',0);

$pdf->SetX(126);
$pdf->Cell(25,7,'CONSIGNATARIO',1,0,'C',1);
$pdf->SetX(155);
$pdf->Cell(20,7,'Fecha',1,0,'C',1);
$pdf->Cell(23,7,$entregado,1,0,'C',0);

$pdf->Ln();
$pdf->Cell(16,7,utf8_decode('Código'),1,0,'C',1);
$pdf->Cell(15,7,$recodigo,1,0,'C',0);
$pdf->Cell(15,7,'NIF',1,0,'C',1);
$pdf->Cell(23,7,$renif,1,0,'C',0);
$pdf->SetX(110);
$pdf->Cell(16,7,utf8_decode('Código'),1,0,'C',1);
$pdf->Cell(15,7,$cocodigo,1,0,'C',0);
$pdf->Cell(15,7,'NIF',1,0,'C',1);
$pdf->Cell(23,7,$conif,1,0,'C',0);
$pdf->Ln();
$pdf->Cell(16,7,'Nombre',1,0,'C',1);
$pdf->Cell(53,7,utf8_decode($renombre),1,0,'L',0); 
$pdf->SetX(110);
$pdf->Cell(16,7,'Nombre',1,0,'C',1);
$pdf->Cell(53,7,utf8_decode($conombre),1,0,'L',0); 
$pdf->Ln();
$pdf->Cell(16,7,utf8_decode('Dirección'),1,0,'C',1);
$pdf->Cell(80,7,utf8_decode($redireccion),1,0,'L',0);
$pdf->SetX(110);
$pdf->Cell(16,7,utf8_decode('Dirección'),1,0,'C',1);
$pdf->Cell(80,7,utf8_decode($codireccion),1,0,'L',0);
$pdf->Ln();
$pdf->Cell(16,7,'CP',1,0,'C',1);
$pdf->Cell(18,7,$recp,1,0,'C',0);
$pdf->SetX(110);
$pdf->Cell(16,7,'CP',1,0,'C',1);
$pdf->Cell(18,7,$cocp,1,0,'C',0);
$pdf->Ln();
$pdf->Cell(16,7,utf8_decode('Población'),1,0,'C',1);
$pdf->Cell(36,7,utf8_decode($repoblacion),1,0,'L',0);
$pdf->Cell(16,7,'Provincia',1,0,'C',1);
$pdf->Cell(25,7,utf8_decode($reprovincia),1,0,'L',0); 
$pdf->SetX(110);
$pdf->Cell(16,7,utf8_decode('Población'),1,0,'C',1);
$pdf->Cell(36,7,utf8_decode($copoblacion),1,0,'L',0);
$pdf->Cell(16,7,'Provincia',1,0,'C',1);
$pdf->Cell(25,7,utf8_decode($coprovincia),1,0,'L',0); 
$pdf->Ln();
$pdf->Cell(16,7,utf8_decode('Teléfono 1'),1,0,'C',1);
$pdf->Cell(25,7,$retele1,1,0,'C',0);
$pdf->Cell(16,7,utf8_decode('Teléfono 2'),1,0,'C',1);
$pdf->Cell(25,7,$retele2,1,0,'C',0);
$pdf->SetX(110);
$pdf->Cell(16,7,utf8_decode('Teléfono 1'),1,0,'C',1);
$pdf->Cell(25,7,$cotele1,1,0,'C',0);
$pdf->Cell(16,7,utf8_decode('Teléfono 2'),1,0,'C',1);
$pdf->Cell(25,7,$cotele2,1,0,'C',0);
$pdf->Ln();
$pdf->Ln();

$pdf->Cell(16,7,'Bultos',1,0,'C',1);
$pdf->Cell(18,7,$bultos,1,0,'C',0);
$pdf->Cell(18,7,'Kilos totales',1,0,'C',1);
$pdf->Cell(18,7,$kilos,1,0,'C',0);
$pdf->SetX(110);

$pdf->Cell(22,7,'Portes Pagados',1,0,'C',1);$pdf->Cell(8,7,$pagados,1,0,'C',0);
$pdf->Cell(22,7,'Portes Debidos',1,0,'C',1);$pdf->Cell(8,7,$debidos,1,0,'C',0);

$pdf->Ln();
$pdf->Cell(16,7,'Precio',1,0,'C',1);
$pdf->Cell(18,7,$pretotal,1,0,'C',0);

$pdf->Ln();
$pdf->Cell(22,7,'Observaciones',1,0,'C',1);
$pdf->Cell(75,15,utf8_decode($observa),1,0,'L',0);
$pdf->SetX(110);
$pdf->Cell(40,7,'Firma Cliente',1,0,'C',1);
$pdf->Cell(40,7,'Firma Conductor',1,0,'C',1);
$pdf->Ln();
$pdf->SetX(110);
$pdf->Cell(40,15,$blanco,1,0,0);
$pdf->Cell(40,15,$blanco,1,0,0);

$pdf->Ln();
//mysql_close($result);
$pdf->Output(); //envio como salida el documento
?>