<?php
include("acceso.php");
include("funciones.php");
require('fpdf16/fpdf.php');

if (!(conexion()))
    die ("Problema con el servidor, avise al administrador");

$sucur = $_SESSION['sucursal'];

class PDF extends FPDF{
  function Header(){
       $this->SetFont('Arial','I',8);  // (familia de fuente, estilo de fuente, tamaño de fuente)
       $this->SetX(5);
       $this->Image('logotipo.png',10,8,30);
       $this->Write(30,$_SESSION['titulosucursal']);
       $this->SetFont('Times','B',13);  // (familia de fuente, estilo de fuente, tamaño de fuente) 
       $this->Cell(30); $this->Cell(80,10,'CLIENTES',1,0,'C',1); // (ancho,alto,cadena,border,posicion actual,alinea el texto,relleno)
       $this->SetFont('Arial','B',10);
       $this->SetXY(3,40);
       $this->Cell(19,6,'SUCURSAL',1,0,'C',1);
       $this->Cell(10,6,'COD',1,0,'C',1);
       $this->Cell(20,6,'NIF',1,0,'C',1);
       $this->Cell(53,6,'NOMBRE',1,0,'C',1);
       $this->Cell(58,6,utf8_decode('DIRECCIÓN'),1,0,'C',1);
       $this->Cell(12,6,'CP',1,0,'C',1);
       $this->Cell(35,6,utf8_decode('POBLACIÓN'),1,0,'C',1);
       $this->Cell(22,6,utf8_decode('TELÉFONO1'),1,0,'C',1);
       $this->Cell(22,6,utf8_decode('TELÉFONO2'),1,0,'C',1);
       $this->Cell(18,6,'F. ALTA',1,0,'C',1);
       $this->Cell(18,6,'F. FIN',1,0,'C',1);
       $this->Ln();
  }
  function Footer(){
       $this->SetY(-15); // distancia de 1.5 con respecto al final de pagina
       $this->SetFont('Times','I',10);
       $this->Cell(0,10,utf8_decode('Página ').$this->PageNo().'/{nb}',0,0,'C');
  }
}

$pdf=new PDF('L'); //crea un objeto de la clase fpdf();
$pdf->AliasNbPages();
$pdf->SetFillColor(210);  //color usado por todas las operaciones de relleno, indica el nivel de gris.
$pdf->AddPage();  //agrega una hoja al documento
$pdf->SetFont('Arial','I',9);  // (familia de fuente, estilo de fuente, tamaño de fuente)

$result=mysql_query("select * from cliente order by cl_cod_sucursal") or die("No se puede mostrar el listado");

$relleno=false;  // control para rellenar de forma intercalada las lineas
while($fila = mysql_fetch_array($result)){
    // obtengo los valores de la consulta
  if ($sucu != $fila['cl_cod_sucursal']){
         $pdf->Ln();
         $relleno=!$relleno; // cambio el relleno
  }
  $codigo = $fila['cl_codigo'];
  if ($codigo != 1){
    $sucu = $fila['cl_cod_sucursal']; $dni = $fila['cl_dni']; $nombre = $fila['cl_nombre'];
    $fecnacimiento = $fila['cl_fec_nacimiento']; $direccion = $fila['cl_direccion']; $cp = $fila['cl_cp']; $poblacion = $fila['cl_poblacion'];
    $telefono1 = $fila['cl_telefono1']; $telefono2 = $fila['cl_telefono2'];
    $fecalta = $fila['cl_fec_alta']; $fecbaja = $fila['cl_fec_baja'];
    // escribo los valores de la consulta
    $pdf->SetX(3);
    $pdf->Cell(19,6,$sucu,1,0,'C',$relleno);
    $pdf->Cell(10,6,$codigo,1,0,'C',$relleno);  // (ancho,alto,cadena,border,posicion actual,alinea el texto,relleno)
    $pdf->Cell(20,6,$dni,1,0,'L',$relleno);
    $pdf->Cell(53,6,utf8_decode($nombre),1,0,'L',$relleno);
    $pdf->Cell(58,6,utf8_decode($direccion),1,0,'L',$relleno);
    $pdf->Cell(12,6,$cp,1,0,'C',$relleno);
    $pdf->Cell(35,6,utf8_decode($poblacion),1,0,'L',$relleno);
    $pdf->Cell(22,6,$telefono1,1,0,'C',$relleno);
    $pdf->Cell(22,6,$telefono2,1,0,'C',$relleno);
    $pdf->Cell(18,6,$fecalta,1,0,'C',$relleno);
    $pdf->Cell(18,6,$fecbaja,1,0,'C',$relleno);
    $pdf->Ln();
  }
}
//mysql_close($link);
$pdf->Output(); //envio como salida el documento

?>