<?php
include("acceso.php");
include("funciones.php");
require('fpdf16/fpdf.php');

if (!(conexion()))
     die ("Problema con el servidor, avise al administrador");
$sucur = $_SESSION['sucursal'];

class PDF extends FPDF{
  function Header(){
       $this->SetFont('Arial','I',8);  // (familia de fuente, estilo de fuente, tamaño de fuente)
       $this->SetX(5);
       $this->Image('logotipo.png',10,8,30);
       $this->Write(30,$_SESSION['titulosucursal']);
       $this->SetFont('Times','B',14);  // (familia de fuente, estilo de fuente, tamaño de fuente) 
       $this->Cell(35); $this->Cell(100,10,'CAMIONEROS',1,0,'C',1); // (ancho,alto,cadena,border,posicion actual,alinea el texto,relleno)
       $this->SetFont('Arial','B',9);
       $this->SetXY(3,40);
       $this->Cell(10,6,'COD',1,0,'C',1);
       $this->Cell(18,6,'NIF',1,0,'C',1);
       $this->Cell(38,6,'NOMBRE',1,0,'C',1);
       $this->Cell(18,6,'F. NAC.',1,0,'C',1); 
       $this->Cell(42,6,utf8_decode('DIRECCIÓN'),1,0,'C',1);
       $this->Cell(10,6,'CP',1,0,'C',1);
       $this->Cell(30,6,utf8_decode('POBLACIÓN'),1,0,'C',1);
       $this->Cell(20,6,'PROVINCIA',1,0,'C',1);
       $this->Cell(19,6,utf8_decode('TELÉFONO1'),1,0,'C',1);
       $this->Cell(19,6,utf8_decode('TELÉFONO2'),1,0,'C',1);
       $this->Cell(13,6,'TRAILER',1,0,'C',1);
       $this->Cell(18,6,'F. ALTA',1,0,'C',1);
       $this->Cell(18,6,'F. FIN',1,0,'C',1);
       $this->Cell(13,6,'SUELDO',1,0,'C',1);
       $this->Ln();
  }

  function Footer(){
       $this->SetY(-15); // distancia de 1.5 con respecto al final de pagina
       $this->SetFont('Times','I',10);
       $this->Cell(0,10,utf8_decode('Página ').$this->PageNo().'/{nb}',0,0,'C');
  }
}

$pdf=new PDF('L'); //crea un objeto de la clase fpdf();
$pdf->AliasNbPages();
$pdf->SetFillColor(210);  //color usado por todas las operaciones de relleno, indica el nivel de gris.
$pdf->AddPage();  //agrega una hoja al documento
$pdf->SetFont('Arial','I',8);  // (familia de fuente, estilo de fuente, tamaño de fuente)

$result=mysql_query("select * from camionero where ca_cod_sucursal = $sucur") or die("No se puede mostrar el listado");
$relleno=false;  // control para rellenar de forma intercalada las lineas
while($fila = mysql_fetch_array($result)){
    // obtengo los valores de la consulta
    $cacodigo = $fila['ca_codigo'];
    $cadni = $fila['ca_dni'];
    $canombre = $fila['ca_nombre'];
    $cafecnacimiento = $fila['ca_fec_nacimiento'];
    $cadireccion = $fila['ca_direccion'];
    $cacp = $fila['ca_cp'];
    $capoblacion = $fila['ca_poblacion'];
    $caprovincia = $fila['ca_provincia'];
    $catelefono1 = $fila['ca_telefono1'];
    $catelefono2 = $fila['ca_telefono2'];
    $catrailer = $fila['ca_trailer'];
    $cacuenta = $fila['ca_cuenta'];
    $cafecalta = $fila['ca_fec_alta'];
    $cafecfin = $fila['ca_fec_fin'];
    $casueldo = $fila['ca_sueldo'];
    // escribo los valores de la consulta
    $pdf->SetX(3);
    $pdf->Cell(10,6,$cacodigo,1,0,'C',$relleno);
    $pdf->Cell(18,6,$cadni,1,0,'L',$relleno);
    $pdf->Cell(38,6,utf8_decode($canombre),1,0,'L',$relleno);
    $pdf->Cell(18,6,$cafecnacimiento,1,0,'L',$relleno);
    $pdf->Cell(42,6,utf8_decode($cadireccion),1,0,'L',$relleno);
    $pdf->Cell(10,6,$cacp,1,0,'L',$relleno);
    $pdf->Cell(30,6,utf8_decode($capoblacion),1,0,'L',$relleno);
    $pdf->Cell(20,6,utf8_decode($caprovincia),1,0,'L',$relleno);
    $pdf->Cell(19,6,$catelefono1,1,0,'C',$relleno);
    $pdf->Cell(19,6,$catelefono2,1,0,'C',$relleno);
    $pdf->Cell(13,6,$catrailer,1,0,'C',$relleno);
    $pdf->Cell(18,6,$cafecalta,1,0,'C',$relleno);
    $pdf->Cell(18,6,$cafecfin,1,0,'C',$relleno);
    $pdf->Cell(13,6,$casueldo,1,0,'R',$relleno);
    $pdf->Ln();
    $relleno=!$relleno; // cambio el relleno
}
//mysql_close($link);
$pdf->Output(); //envio como salida el documento
?>