<?php
include("acceso.php");
include("funciones.php");
require('fpdf16/fpdf.php');

if (!(conexion()))
    die ("Problema con el servidor, avise al administrador");
$sucur = $_SESSION['sucursal'];

class PDF extends FPDF{
  function Header(){
       $this->SetFont('Arial','I',7);  // (familia de fuente, estilo de fuente, tamaño de fuente)
       $this->SetX(5);
       $this->Image('logotipo.png',10,8,30);
       $this->Write(30,$_SESSION['titulosucursal']);
       $this->SetFont('Times','B',14);  // (familia de fuente, estilo de fuente, tamaño de fuente) 
       $this->Cell(5); $this->Cell(70,10,'PRECIOS',1,0,'C',1); // (ancho,alto,cadena,border,posicion actual,alinea el texto,relleno)
       $this->SetFont('Arial','B',9);
       $this->SetXY(70,40);
       $this->Cell(20,6,utf8_decode('CÓDIGO'),1,0,'C',1);
       $this->Cell(20,6,'TOPEKG',1,0,'C',1);
       $this->Cell(30,6,'PRECIO',1,0,'C',1);
       $this->Ln();
  }

  function Footer(){
       $this->SetY(-15); // distancia de 1.5 con respecto al final de pagina
       $this->SetFont('Times','I',10);
       $this->Cell(0,10,utf8_decode('Página ').$this->PageNo().'/{nb}',0,0,'C');
  }
}

$pdf=new PDF(); //crea un objeto de la clase fpdf();
$pdf->AliasNbPages();
$pdf->SetFillColor(210);  //color usado por todas las operaciones de relleno, indica el nivel de gris.
$pdf->AddPage();  //agrega una hoja al documento
$pdf->SetFont('Arial','I',9);  // (familia de fuente, estilo de fuente, tamaño de fuente)
$result=mysql_query("select * from precio where (pr_cp1 = $sucur) or (pr_cp2 = $sucur)") or die("No se puede mostrar el listado");
$cpanterior = $sucur;
$relleno=false;  // control para rellenar de forma intercalada las lineas
while ($fila = mysql_fetch_array($result)){
    // obtengo los valores de la consulta
    $cp1 = $fila['pr_cp1'];
    $cp2 = $fila['pr_cp2'];
    $topekg = $fila['topekg'];
    $precio = $fila['precio'];
    if ($cp1 = $sucur)   // para mostrar solo un codigo
       $cp = $cp2;
      else
       $cp = $cp1;
    if ($cpanterior != $cp){  // para agrupar los codigos
       $pdf->Ln();
       $cpanterior = $cp;
       $pdf->AddPage();  //agrega una hoja al documento
    }
    $pdf->SetX(70);
    // escribo los valores de la consulta
    $pdf->Cell(20,6,$cp,1,0,'C',$relleno);  // (ancho,alto,cadena,border,posicion actual,alinea el texto,relleno)
    $pdf->Cell(20,6,$topekg,1,0,'C',$relleno);
    $pdf->Cell(30,6,$precio,1,0,'C',$relleno);
    $pdf->Ln();
    $relleno=!$relleno; // cambio el relleno
//mysql_close($result);
}
$pdf->Output(); //envio como salida el documento
?>

